Sprachen

Informationen über den Sicherheitsinhalt von Safari 3.1.2 für Mac OS X 10.4.11

In diesem Dokument wird der Sicherheitsinhalt von Safari 3.1.2 für Mac OS X 10.4.11 beschrieben. Dies kann über Software-Aktualisierung oder Apple Downloads geladen und installiert werden.

Zum Schutz unserer Kunden werden Sicherheitsprobleme von Apple erst dann bekannt gegeben, diskutiert und bestätigt, wenn eine vollständige Untersuchung stattgefunden hat und alle erforderlichen Programmkorrekturen oder Versionen verfügbar sind. Nähere Informationen zur Apple Produktsicherheit finden Sie auf der Website Produktsicherheit von Apple.

Informationen zum Apple Produktsicherheits-PGP-Schlüssel finden Sie hier: "So verwenden Sie den Apple Produktsicherheits-PGP-Schlüssel".

Nach Möglichkeit werden zur vereinfachten Bezugnahme auf die Schwachstellen CVE IDs verwendet.

Informationen zu weiteren Security Updates finden Sie unter "Apple Sicherheits-Updates".

 

Safari 3.1.2 for Mac OS X 10.4.11

  • WebKitü

    CVE-ID: CVE-2008-2307

    Verfügbar für: Mac OS X 10.4.11, Mac OS X Server 10.4.11

    Symptom: Der Besuch einer in böswilliger·Absicht erstellten Website kann zu einer unerwarteten Programmbeendigung oder zur willkürlichen Code-Ausführung führen.

    Beschreibung: Bei der Verarbeitung von JavaScript-Arrays in WebKit tritt ein Speicherfehler auf. Der Besuch einer in böser Absicht erstellten Website kann zu einer unerwarteten Programmbeendigung oder zur willkürlichen Code-Ausführung führen. Mit dieser Aktualisierung wird das Problem durch eine verbesserte Abgrenzungsüberprüfung behoben. Dieses Problem wurde gelöst in Safari v3.1.2 für Windows XP oder Vista sowie auf Systemen mit Mac OS X v10.5.4. Dank gilt James Urquhart für die Meldung des Problems.

Zuletzt geändert: 12.10.2009
Hilfreich?
Ja
Nein
  • Last Modified: 12.10.2009
  • Article: HT2165
  • Views:

    583

Zusätzliche Supportinformationen zum Produkt